frontend/v1/app/urls.py
from django.conf.urls import url
from .views import *

#url for app
urlpatterns = [
    url(r'^job/listing/', show_jobs, name='job-listing'),
    url(r'^student/list/', show_student, name='student-list'),
    url(r'^job/forum/(?P<id>\d)/$', show_job_forum, name='job-forum'),
    url(r'^job/forum/(?P<id>\d)/post/$', add_comment, name='post-comment'),
    url(r'^job/comment/delete/(?P<id>\d)/$', delete_comment, name='delete-comment'),
	url(r'^student/profile/(?P<pk>.*)/$', show_student_profile, name='student-profile'),
    url(r'^company/logout/', auth_logout, name='company-logout'),
    url(r'^job/forum/(?P<id>\d)/apply/$', add_application, name='apply-job'),
]

frontend/v1/app_company/urls.py
from django.conf.urls import url
from .views import *
#url for app
urlpatterns = [
    url(r'^$', show_profile, name='profile'),
    url(r'^id/(?P<key>.*)/$', show_profile_by_id, name='profile-by-id'),
    url(r'^job/add/$', add_job, name='company-add-job'),
    url(r'^job/delete/(?P<id>\d)/$', delete_job, name='company-delete-job'),
]

frontend/v1/ppw_final/urls.py
from django.conf.urls import url, include, static
from django.contrib import admin
from django.conf import settings
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^auth/', include('app_auth.urls', namespace='auth')),
    url(r'^company/', include('app_company.urls', namespace='company')),
    url(r'^mahasiswa/', include('app_mahasiswa.urls', namespace='mahasiswa')),
    url(r'^test/', include('app_render.urls', namespace='render')),
    url(r'^app/', include('app.urls', namespace='app')),
    url(r'^$', RedirectView.as_view(url='auth/', permanent = True), name = '$'),
]

frontend/v1/app/templates/cari_mahasiswa.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'app_mahasiswa/css/mahasiswa-profile.css' %}" />
{% endblock %}
{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}

{% block content %}

<table id="example" class="display" cellspacing="0" width="100%">
    <h2 class="title">Cari Teman</h2>
        <thead style="background: white">
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
                <th>KEAHLIAN</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
                <th>KEAHLIAN</th>
            </tr>
        </tfoot>
        <tbody>
            <tr>
                <th>1606822714</th>
                <th>Kaka</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822716</th>
                <th>Courtois</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822721</th>
                <th>Morata</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
           <tr>
                <th>1606822722</th>
                <th>Hazard</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822776</th>
                <th>Willian</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822789</th>
                <th>Marcos Alonso</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822732</th>
                <th>Bakayoko</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822789</th>
                <th>Kante</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
           <tr>
                <th>1606822700</th>
                <th>Victor Moses</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
            <tr>
                <th>1606822743</th>
                <th>Pedro Rodriguez</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr><tr>
                <th>1606822734</th>
                <th>Azpilicueta</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822733</th>
                <th>Loftus-Cheek</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822788</th>
                <th>Batshuayi</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
           <tr>
                <th>1606822799</th>
                <th>Ivanovic</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822707</th>
                <th>Zappacosta</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr><tr>
                <th>1606822754</th>
                <th>Diego Costa</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822755</th>
                <th>Rudiger</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
            <tr>
                <th>1606822746</th>
                <th>Nemanja Matic</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
           <tr>
                <th>1606822764</th>
                <th>Sadio Mane</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822741</th>
                <th>Muhammad Salah</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
        </tbody>
    </table>
	
	{% endblock %}
    <script>
    $(document).ready(function() {
        // Setup - add a text input to each footer cell
        $('#example tfoot th').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
        } );
     
        // DataTable
        var table = $('#example').DataTable();
     
        // Apply the search
        table.columns().every( function () {
            var that = this;
     
            $( 'input', this.footer() ).on( 'keyup change', function () {
                if ( that.search() !== this.value ) {
                    that
                        .search( this.value )
                        .draw();
                }
            } );
        } );
    } );
</script>


<style>
    tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }
</style>

frontend/v1/app/templates/job_forum.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Job Description
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/app_job_forum.css' %}" />
{% endblock %}

{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}
{% block content %}
<section id="job-forum">
	<div class="container">
		<div class="block">
			<header id="job-description-title">
				<h1 id="job-title"> {{job.title}} </h1>
				<a href="{% url 'company:profile-by-id' job.company.id_linkedin %}">by {{job.company.name}} </a>
				<h4 id="job-description">{{job.description}}</h4>
				{% if is_exist %}
					<button class="btn btn-warning" type="submit" disabled>Applied</button>
				{% else %}
					{% if student %}
						<form class="" action="{% url 'app:apply-job' job.id %}" method="POST">
							{% csrf_token %}
							<button class="btn btn-primary" type="submit">Apply Now</button>
						</form>
					{% endif %}
				{% endif %}
			</header>

			{% if student %}
			<div style="margin-top: 5%;" id="about-question">
				<form action="post/" method="POST">
					{% csrf_token %}
						<label for="title"> Subject </label>
						<br>
						<input type="text" name="title" value="">
						<br>
						<br>
						<label for="question"> Your question </label>
						<br>
						<textarea id="question-textarea" name="question" rows="8" cols="50" required></textarea>
						<br>
						<br>
						<input type="submit" class="btn btn-primary">
				</form>
			</div>
			{% endif %}

			<div class="comment">
				<h3 style="margin-top: 5%;">Comments:</h3>
				{% for comment in comment_list %}
					<div id="comment">
						<h2 id="comment-title">{{comment.title}}</h2>
						<h6>{{comment.created_at}}</h6>
						<h4>{{comment.content}}</h4>
						{% if student %}
						<div id="delete-button">
							<a href="{% url 'app:delete-comment' comment.id %}" class="btn btn-warning">Delete</a>
						</div>
						{% endif %}
					</div>
					<hr>
				{% endfor %}
			</div>
		</div>
	</div>
</section>

{% endblock %}

frontend/v1/app/templates/job_list.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Job List
{% endblock %}

{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/app_job_list.css' %}" />
{% endblock %}

{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}

{% block content %}
	<section id="header-body">
		<div id="title-div">
			<header>
				<h1 class="title">List of all jobs</h1>
			</header>
		</div>

		<div class="container">
			<div id="slideshow-container">
				{% for job in job_list %}
					<div class="slideshow-content">
						<div class="job-list fade">
							<div class="block">
							   	<span class="block-name"><h1>{{ job.company.name }}</h1></span>
							    <img src="{{job.company.picture_url}}" alt="" class="job-image">
								<span class="block-title"><h3>{{ job.title }}</h3></span>
								<span class="block-description"><p>{{ job.description }}</p></span>
								<span class="block-question"><a href="{% url 'app:job-forum' job.id %}">Details</a></span>
							</div>
						</div>
					</div>
					<a class="prev" onclick="plusSlides(-1)">&#10094;</a>
					<a class="next" onclick="plusSlides(1)">&#10095;</a>
				{% endfor %}
				<div style="text-align:center" id="loop">
					{% for job in job_num %}
					  <span class="dot" onclick="currentSlide({{job}})"></span>
					{% endfor %}
				</div>
			</div>
		</div>
	</section>
{% endblock %}

{% block javascript %}
<script>
var slideIndex = 1;
showSlides(slideIndex);

function plusSlides(n) {
  showSlides(slideIndex += n);
}

function currentSlide(n) {
	showSlides(slideIndex = n);
}

function showSlides(n) {
  var i;
  var slides = document.getElementsByClassName("job-list");
  var dots = document.getElementsByClassName("dot");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  for (i = 0; i < dots.length; i++) {
      dots[i].className = dots[i].className.replace(" active", "");
  }
  slides[slideIndex-1].style.display = "block";
  dots[slideIndex-1].className += " active";
}
</script>
{% endblock %}

frontend/v1/app/templates/student_list.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Student List
{% endblock %}

{% block css %}
{% endblock %}

{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}
{% block content %}
<section id="student-list">
<div class="container">
  <table id="example" class="display" cellspacing="0" width="100%">
    <h2 class="title">Cari Teman</h2>
        <thead style="background: white">
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
				<th>DETAIL</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
                <th>DETAIL</th>
            </tr>
        </tfoot>
        <tbody>
		
		{% for student in student_list %}
			<tr>
				<th>{{ student.npm }}</th>
				<th>{{ student.name }}</th>
				<th>{{ student.angkatan }}</th>
				<th><a href="{% url 'app:student-profile' student.pk %}">Ask Question</a></th>
			</tr>
		{% endfor %}
        </tbody>
    </table>
</div>
</section>
  
{% endblock %}


{% block javascript %}
<script>
    $(document).ready(function() {
        // Setup - add a text input to each footer cell
        $('#example tfoot th').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
        } );
     
        // DataTable
        var table = $('#example').DataTable();
     
        // Apply the search
        table.columns().every( function () {
            var that = this;
     
            $( 'input', this.footer() ).on( 'keyup change', function () {
                if ( that.search() !== this.value ) {
                    that
                        .search( this.value )
                        .draw();
                }
            } );
        } );
    } );
</script>
{% endblock %}

frontend/v1/app/templates/student_profile.html
{% extends "base.html" %}
{% load staticfiles %}
{% load static %}

{% block title %}
Student List
{% endblock %}

{% block css %}
{% endblock %}

{% block header %}
{% include "partials/header-company.html" %}
{% endblock %}
{% block content %} 
<!-- Content Here -->
<div class="container">

	<section id="data-dashboard">
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="col-md-9">
					<div class="status-profile">
						<div class="status-profile-left">
							{% if student.picture_url == ''%}
								<span style="float: left; margin-right: 15px;"><img src="http://moziru.com/images/profile-clipart-generic-user-11.png" width="180px" height="180px" alt="my-photo"></span>
							{% else %}
								<span style="float: left; margin-right: 15px;"><img src="{{student.picture_url}}" width="180px" height="180px" alt="my-photo"></span>
							{% endif %}
						</div>
					</div>
					<div class="status-profile-right">
						<div class="clearfix">
							<p> <b>Username :</b> {{ student.name }} </p>
							<p> <b>NPM :</b> {{ student.npm }} </p>
							<p> <b>Role :</b> {{ student.role }} </p>
							<p> <b>Angkatan :</b> {{ student.angkatan }} </p>
							{% if student.id_linkedin == '' %}
							{% else %}
								<p> <b>Id LinkedIn :</b> {{ student.id_linkedin }} </p>
							{% endif %}
							{% if student.link_linkedin == '' %}
							{% else %}
								<p> <b>Profile LinkedIn :</b> {{ student.link_linkedin }} </p>
							{% endif %}
							</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</div>
{% endblock %}


 